import {Injectable} from "@angular/core";
import {RSModal} from "./rsModal.component";
import {RSUtils} from "binding";
import {RSConfirmModalComponent} from "./rsConfirmModal.component";

@Injectable()
export class RSConfirm {
  constructor(public modal: RSModal) {
  }

  confirm(head: string, question: string, options?: any): Promise<any> {
    if (!options) {
      options = {};
    }
    return this.modal.show(RSConfirmModalComponent, RSUtils.extend({head: head, question: question}, options));
  }
}
